Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
[Java] Class NodeIterator

    java.lang.Object
      groovy.util.slurpersupport.NodeIterator

All Implemented Interfaces:
  java.util.Iterator

    public abstract class NodeIterator
    extends java.lang.Object

Helper class for iterating through nodes.

Authors:
  John Wilson

Constructor Summary
`NodeIterator(java.util.Iterator iter)`

Method Summary
`protected java.lang.Object` | `getNextNode(java.util.Iterator iter)`
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### NodeIterator

    public NodeIterator(java.util.Iterator iter)

Method Detail

### getNextNode

    protected java.lang.Object getNextNode(java.util.Iterator iter)

### hasNext

    public boolean hasNext()

### next

    public java.lang.Object next()

### remove

    public void remove()

Groovy Documentation